<?xml version="1.0" encoding="UTF-8"?>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                template="../../templates/main-template.xhtml">

    <ui:define name="content">

        <p:panel id="job-pnl" header="#{jobBean.job.name}" style="margin-bottom:30px;">
            <p:lineChart model="#{jobBean.getLineModel()}" rendered="#{jobBean.jobInstanceExists()}"/>
        </p:panel>
        <p:panel id="job-memory-pnl" style="margin-bottom:30px;">
            <p:lineChart model="#{jobBean.getLineModelOfMemory()}" rendered="#{jobBean.jobInstanceExists()}"/>
        </p:panel>

        <h:form id="form">
            <p:dataTable var="jobInstance" value="#{jobInstanceBean.list(jobBean.job.id)}"
                         rows="12" paginator="true" id="jobInstances" paginatorPosition="bottom"
                         paginatorTemplate="{CurrentPageReport}  {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                         rowsPerPageTemplate="6,12,16" rowIndexVar="rowIndex">
                <p:column headerText="#" width="50">
                    <h:outputText value="#{rowIndex + 1}"/>
                </p:column>
                <p:column headerText="System">
                    <h:outputText value="#{jobInstance.operationSystem.name} "/>
                    <h:outputText value="#{jobInstance.operationSystem.systemCapacity.label}"/>
                </p:column>
                <p:column headerText="Date begin">
                    <h:outputText value="#{jobInstance.dateBegin}"/>
                </p:column>
                <p:column headerText="Date end">
                    <h:outputText value="#{jobInstance.dateEnd}"/>
                </p:column>
                <p:column width="50" style="text-align: center;">
                    <p:commandLink styleClass="fa fa-eye buttons"
                                   ajax="false"
                                   action="#{jobInstanceBean.viewJobInstance(jobInstance)}"/>
                </p:column>
                <p:column width="50" style="text-align: center;">
                    <p:commandLink styleClass="fa fa-trash buttons"
                                   action="#{jobInstanceBean.deleteJobInstance(jobInstance)}"
                                   update="jobInstances">
                        <p:confirm header="Delete jobInstance"
                                   message="Delete jobInstance with id: #{jobInstance.id}?"
                                   icon="pi pi-exclamation-triangle"/>
                    </p:commandLink>
                </p:column>
            </p:dataTable>
        </h:form>
        <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
            <p:commandButton value="Yes" type="button" styleClass="ui-confirmdialog-yes" icon="fa fa-check"/>
            <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="fa fa-times"/>
        </p:confirmDialog>
        <p:linkButton outcome="pretty:jobList" styleClass="buttons" value="Back"/>

    </ui:define>

</ui:composition>